Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Vec2f Class Reference

General purpose float pair. More...

List of all members.

## Public Types
typedef float | value_type
| Type of Vec class.
enum | { num_components = 2 }
| Number of vector components. More...
## Public Member Functions
| Vec2f ()
| Vec2f (value_type x, value_type y)
bool | operator== (const Vec2f &v) const
bool | operator!= (const Vec2f &v) const
bool | operator< (const Vec2f &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type x, value_type y)
value_type & | operator[] (int i)
value_type | operator[] (int i) const
value_type & | x ()
value_type & | y ()
value_type | x () const
value_type | y () const
bool | valid () const
bool | isNaN () const
value_type | operator * (const Vec2f &rhs) const
| Dot product.
const Vec2f | operator * (value_type rhs) const
| Multiply by scalar.
Vec2f & | operator *= (value_type rhs)
| Unary multiply by scalar.
const Vec2f | operator/ (value_type rhs) const
| Divide by scalar.
Vec2f & | operator/= (value_type rhs)
| Unary divide by scalar.
const Vec2f | operator+ (const Vec2f &rhs) const
| Binary vector add.
Vec2f & | operator+= (const Vec2f &rhs)
| Unary vector add.
const Vec2f | operator- (const Vec2f &rhs) const
| Binary vector subtract.
Vec2f & | operator-= (const Vec2f &rhs)
| Unary vector subtract.
const Vec2f | operator- () const
| Negation operator.
value_type | length () const
| Length of the vector = sqrt( vec .
value_type | length2 (void) const
| Length squared of the vector = vec .
value_type | normalize ()
| Normalize the vector so that it has length unity.
## Public Attributes
value_type | _v [2]
| Vec member varaible.

## Detailed Description

General purpose float pair.

Uses include representation of texture coordinates. No support yet added for float * Vec2f - is it necessary? Need to define a non-member non-friend operator* etc. BTW: Vec2f * float is okay

## Member Typedef Documentation

typedef float osg::Vec2f::value_type

| Type of Vec class.

## Member Enumeration Documentation

anonymous enum

  | Number of vector components. Enumeration values:
  num_components |

## Constructor & Destructor Documentation

osg::Vec2f::Vec2f | ( |  | ) | `[inline]`

osg::Vec2f::Vec2f | ( | value_type | x,
|  | value_type | y
| ) | `[inline]`

## Member Function Documentation

bool osg::Vec2f::isNaN | ( |  | ) | const`[inline]`

value_type osg::Vec2f::length | ( |  | ) | const`[inline]`

| Length of the vector = sqrt( vec . vec )

value_type osg::Vec2f::length2 | ( | void |  | ) | const`[inline]`

| Length squared of the vector = vec . vec

value_type osg::Vec2f::normalize | ( |  | ) | `[inline]`

| Normalize the vector so that it has length unity. Returns the previous length of the vector.

const Vec2f osg::Vec2f::operator * | ( | value_type | rhs | ) | const`[inline]`

| Multiply by scalar.

value_type osg::Vec2f::operator * | ( | const Vec2f & | rhs | ) | const`[inline]`

| Dot product.

Vec2f& osg::Vec2f::operator *= | ( | value_type | rhs | ) | `[inline]`

| Unary multiply by scalar.

bool osg::Vec2f::operator!= | ( | const Vec2f & | v | ) | const`[inline]`

const Vec2f osg::Vec2f::operator+ | ( | const Vec2f & | rhs | ) | const`[inline]`

| Binary vector add.

Vec2f& osg::Vec2f::operator+= | ( | const Vec2f & | rhs | ) | `[inline]`

| Unary vector add. Slightly more efficient because no temporary intermediate object.

const Vec2f osg::Vec2f::operator- | ( |  | ) | const`[inline]`

| Negation operator. Returns the negative of the Vec2f.

const Vec2f osg::Vec2f::operator- | ( | const Vec2f & | rhs | ) | const`[inline]`

| Binary vector subtract.

Vec2f& osg::Vec2f::operator-= | ( | const Vec2f & | rhs | ) | `[inline]`

| Unary vector subtract.

const Vec2f osg::Vec2f::operator/ | ( | value_type | rhs | ) | const`[inline]`

| Divide by scalar.

Vec2f& osg::Vec2f::operator/= | ( | value_type | rhs | ) | `[inline]`

| Unary divide by scalar.

bool osg::Vec2f::operator< | ( | const Vec2f & | v | ) | const`[inline]`

bool osg::Vec2f::operator== | ( | const Vec2f & | v | ) | const`[inline]`

value_type osg::Vec2f::operator[] | ( | int | i | ) | const`[inline]`

value_type& osg::Vec2f::operator[] | ( | int | i | ) | `[inline]`

const value_type* osg::Vec2f::ptr | ( |  | ) | const`[inline]`

value_type* osg::Vec2f::ptr | ( |  | ) | `[inline]`

void osg::Vec2f::set | ( | value_type | x,
|  | value_type | y
| ) | `[inline]`

bool osg::Vec2f::valid | ( |  | ) | const`[inline]`

value_type osg::Vec2f::x | ( |  | ) | const`[inline]`

value_type& osg::Vec2f::x | ( |  | ) | `[inline]`

value_type osg::Vec2f::y | ( |  | ) | const`[inline]`

value_type& osg::Vec2f::y | ( |  | ) | `[inline]`

## Member Data Documentation

value_type osg::Vec2f::_v[2]

| Vec member varaible.

The documentation for this class was generated from the following file:

- Vec2f